> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve component version

> Append an approval event attached to one component scan.



## OpenAPI

````yaml /api-reference/bundled.yaml post /v0/experimental/components/{id}/versions/{versionId}/approval
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.54.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: debug
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: data-tagging
    description: Tag vocabulary management and field level tagging of lineage boundaries.
paths:
  /v0/experimental/components/{id}/versions/{versionId}/approval:
    parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
        description: The component ID.
      - in: path
        name: versionId
        required: true
        schema:
          type: string
        description: The scan ID of the component version.
    post:
      tags:
        - lineage
      summary: Approve component version
      description: Append an approval event attached to one component scan.
      operationId: postExperimentalVersionApproval
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostExperimentalVersionApprovalRequest'
      responses:
        '201':
          description: Approval event appended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VersionApprovalResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    PostExperimentalVersionApprovalRequest:
      type: object
      additionalProperties: false
      properties:
        projectionVersion:
          type: string
          enum:
            - v1
            - v2
          default: v1
          description: >-
            Projection whose lineage is being approved. Omitted requests retain
            the legacy v1 behavior.
        note:
          type: string
          maxLength: 2000
          description: Optional notes about the approval.
    VersionApprovalResponse:
      type: object
      additionalProperties: false
      required:
        - eventId
      properties:
        eventId:
          type: string
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        id:
          type: number
        title:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.